View Issue Details

IDProjectCategoryView StatusLast Update
16337Bug reportsTranslationpublic2020-12-09 06:56
ReporterJmantysalo Assigned To 
PrioritynoneSeverityminor 
Status acknowledgedResolutionopen 
Product Version4.2.4 
Summary16337: No translation for question attribute
DescriptionThere are several untranslatable string in LimeSurvey. Maybe the biggest single block is in question editing below every question: those with "Display", "Logic", "Other" etc. All selections in those are not translated, like "Sort answers alphabetically", help text "Allow only numerical input for 'Other' text", option "Nominal" in SPSS export scale etc.
Steps To ReproduceSet your language to something other than english
Example : https://translate.limesurvey.org/projects/limesurvey-4/,
- Polish have 100%
- German have _Hide tip_ since 2020-02-07`
Tagstranslation
Complete LimeSurvey version number (& build)4.2.4+200520
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-VersionN/A
Server OS (if known)not relevant ?
Webserver software & version (if known)not relevant ?
PHP Versionnot relevant ?

Relationships

related to 16730 closedollehar A lot of attribute can not be translated in admin GUI 

Activities

holch

holch

2020-05-28 03:14

reporter   ~58063

I just checked and "Sort answers alphabetically" seems to be translatable, I checked for Portuguese (Brazil) and it is even translated.
https://translate.limesurvey.org/projects/limesurvey-4/pt-br/default/?filters%5Bterm%5D=Sort+answers+alphabetically&filters%5Buser_login%5D=&filters%5Bstatus%5D=current_or_waiting_or_fuzzy_or_untranslated&filter=Filter&sort%5Bby%5D=priority&sort%5Bhow%5D=desc

Same for "Allow only numerical input...":
https://translate.limesurvey.org/projects/limesurvey-4/pt-br/default/?filters%5Bterm%5D=Allow+only+numerical+input+for+%27Other%27+text&filters%5Buser_login%5D=&filters%5Bstatus%5D=current_or_waiting_or_fuzzy_or_untranslated&filter=Filter&sort%5Bby%5D=priority&sort%5Bhow%5D=desc

So I am currently wondering what do you mean with "untranslateable" exactly? That you can't translate it in Glotpress or that the translation will not make it to Limesurvey? Would be great if you could clarify that, because I currently don't understand the issue.
Jmantysalo

Jmantysalo

2020-05-28 06:55

reporter   ~58064

> That you can't translate it in Glotpress or that the translation will not make it to Limesurvey?

That they do not appear in Limesurvey. Sorry for being unclear, will try to improve.
DenisChenu

DenisChenu

2020-05-28 08:10

developer   ~58066

Confirm the issue ,

No question attribute are translated currently, seems nothing is done for translation
See screenshot with translation date (i'm on 4.2.5 github)
DenisChenu

DenisChenu

2020-05-28 08:15

developer   ~58067

Deutsch (de) : Hite tip : no translated
https://translate.limesurvey.org/projects/limesurvey-4/de/default/?filters%5Bterm%5D=Hide+tip&filters%5Buser_login%5D=&filters%5Bstatus%5D=current_or_waiting_or_fuzzy_or_untranslated&filter=Filter&sort%5Bby%5D=priority&sort%5Bhow%5D=desc
holch

holch

2020-05-28 14:12

reporter   ~58070

OK, so the strings ARE translated, but the translation is not showing up in the GUI. Understood.

Now the question is: Where these translation simply not applied yet in the updates or are they in the language files already but Limesurvey is not using them?
Jmantysalo

Jmantysalo

2020-05-28 14:33

reporter   ~58071

> Now the question is: Where these translation simply not applied yet in the updates or are they in the language files already but Limesurvey is not using them?

I have manually copied .mo -files into right place, so I think LimeSurvey is not using them.
DenisChenu

DenisChenu

2020-05-28 14:51

developer   ~58072

The answer is «Limesurvey is not using them» , they comes from XML (or database, unsure)
Iskandar_r

Iskandar_r

2020-06-12 10:10

reporter   ~58263

I have the same problem.
Some GUI items are not translated
although these items have been translated in the translation file. (see screenshots)
Набросок (26).png (289,032 bytes)
Набросок (27).png (151,563 bytes)
Набросок (28).png (237,310 bytes)
DenisChenu

DenisChenu

2020-06-12 10:30

developer   ~58266

For information : QuestionTheme try to use existing translation : not translated : https://gitlab.com/SondagesPro/QuestionTheme/arraytext_display_rows/-/blob/master/survey/questions/answer/arrays/texts/config.xml#L30

I must report it too :)
Iskandar_r

Iskandar_r

2020-06-30 10:12

reporter   ~58570

I understand there are problems more important than this, but
can anyone say in which version it is planned to solve this problem?
gLf

gLf

2020-08-03 12:53

reporter   ~59263

Same problem for italian translation (100%)
liumingjun

liumingjun

2020-09-28 10:11

reporter   ~59968

Will this problem be fixed?
cdorin

cdorin

2020-10-19 19:00

manager   ~60275

Will move it to acknowledged and wait for the revert to the old view.
Mazi

Mazi

2020-11-16 11:37

partner   ~60653

@cdorin, can we expect a fast fix for this or is it more or less on hold until the vueJS related GUI issues have been dealt with?
Iskandar_r

Iskandar_r

2020-12-09 06:56

reporter   ~60871

Can anyone say this problem will be solved and when?

Issue History

Date Modified Username Field Change
2020-05-27 20:51 Jmantysalo New Issue
2020-05-28 03:14 holch Note Added: 58063
2020-05-28 06:55 Jmantysalo Note Added: 58064
2020-05-28 08:10 DenisChenu Note Added: 58066
2020-05-28 08:10 DenisChenu File Added: Capture d’écran du 2020-05-28 08-09-22.png
2020-05-28 08:10 DenisChenu File Added: Capture d’écran du 2020-05-28 08-07-46.png
2020-05-28 08:13 DenisChenu Summary Many untranslatable strings in a block => No translation for question attribute
2020-05-28 08:13 DenisChenu Steps to Reproduce Updated View Revisions
2020-05-28 08:13 DenisChenu Complete LimeSurvey version number (& build) Versio 4.2.4+200520 => 4.2.4+200520
2020-05-28 08:13 DenisChenu Browser => not relevant
2020-05-28 08:13 DenisChenu Server OS (if known) => not relevant ?
2020-05-28 08:13 DenisChenu Webserver software & version (if known) => not relevant ?
2020-05-28 08:13 DenisChenu PHP Version N/A => not relevant ?
2020-05-28 08:15 DenisChenu Note Added: 58067
2020-05-28 08:15 DenisChenu File Added: Capture d’écran du 2020-05-28 08-15-12.png
2020-05-28 14:12 holch Note Added: 58070
2020-05-28 14:33 Jmantysalo Note Added: 58071
2020-05-28 14:51 DenisChenu Note Added: 58072
2020-06-12 10:10 Iskandar_r Note Added: 58263
2020-06-12 10:10 Iskandar_r File Added: Набросок (26).png
2020-06-12 10:10 Iskandar_r File Added: Набросок (27).png
2020-06-12 10:10 Iskandar_r File Added: Набросок (28).png
2020-06-12 10:30 DenisChenu Note Added: 58266
2020-06-30 10:12 Iskandar_r Note Added: 58570
2020-08-03 12:53 gLf Note Added: 59263
2020-08-03 12:56 gLf Tag Attached: translation
2020-09-25 09:34 c_schmitz Assigned To => ollehar
2020-09-25 09:34 c_schmitz Status new => assigned
2020-09-28 10:11 liumingjun Note Added: 59968
2020-10-19 19:00 cdorin Note Added: 60275
2020-10-19 19:00 cdorin Assigned To ollehar =>
2020-10-19 19:00 cdorin Status assigned => acknowledged
2020-11-16 11:36 Mazi Relationship added related to 16730
2020-11-16 11:37 Mazi Note Added: 60653
2020-12-09 06:56 Iskandar_r Note Added: 60871